/*******************************************************************************
* File Name: IntLed.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IntLed_ALIASES_H) /* Pins IntLed_ALIASES_H */
#define CY_PINS_IntLed_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define IntLed_0		(IntLed__0__PC)
#define IntLed_0_PS		(IntLed__0__PS)
#define IntLed_0_PC		(IntLed__0__PC)
#define IntLed_0_DR		(IntLed__0__DR)
#define IntLed_0_SHIFT	(IntLed__0__SHIFT)


#endif /* End Pins IntLed_ALIASES_H */


/* [] END OF FILE */
