/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

/* [] END OF FILE */
#ifndef __MAIN__
#define __MAIN__
    
#include <project.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <cytypes.h>
#include "blinkleds.h"
#include "isr_PLCTimer.h"
#include "adc.h"

    //Caracteres de escape, dados por el API utilizado//
#define ESCAPE1     0x7E
#define ESCAPE2     0x7D
#define ESCAPE3     0x11
#define ESCAPE4     0x13
#define PLCHEADER   0x02
#define PLCTAIL     0x03
    
extern uint8 XBEERXOK;
uint8 XBEERXOK;
extern uint8 XBEETXOK;
uint8 XBEETXOK;
extern uint8 PLCRXOK;
uint8 PLCRXOK;
extern uint8 PLCTXOK;
uint8 PLCTXOK;
extern uint8 CBOOT;
uint8 CBOOT;
extern uint8 PLCINTCLK;
uint8 PLCINTCLK;
extern uint8 XBEETXSTATUS;
uint8 XBEETXSTATUS;

// { FRAME HEAD, API ID, FRAME ID, OPTIONS }
static uint8 xbee_settings[5] = {0x7E, 0x00, 0x01, 0x04, '\0'};
// BROAD CAST ADDRESS
static uint8 broadcastAddress[9] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, '\0'};
// frame de enviado
static uint8 xbee_status [7] = {0x00, 0x03, 0x89, 0x01, 0x00, 0x75, '\0'};

char XBeeRXbuffer[100];
char XBeeTXbuffer[100];
char PLCRXbuffer[100];
char PLCTXbuffer[100];

extern uint8 rssi;
uint8 rssi;
extern uint8 broadcast;
uint8 broadcast;

void sys_init(void);
void XBeePacketHandler(void);
void PLCPacketHandler();
void IntPLCTimer();
void tx_status(uint8 checksum);
int XBeeSendPacket();
uint8* scape_frame(uint8 *frame, uint8 *length);

#endif
    