/*******************************************************************************
* File Name: An2.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_An2_ALIASES_H) /* Pins An2_ALIASES_H */
#define CY_PINS_An2_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define An2_0		(An2__0__PC)
#define An2_0_PS		(An2__0__PS)
#define An2_0_PC		(An2__0__PC)
#define An2_0_DR		(An2__0__DR)
#define An2_0_SHIFT	(An2__0__SHIFT)


#endif /* End Pins An2_ALIASES_H */


/* [] END OF FILE */
