/*******************************************************************************
* File Name: An6.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_An6_ALIASES_H) /* Pins An6_ALIASES_H */
#define CY_PINS_An6_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define An6_0		(An6__0__PC)
#define An6_0_PS		(An6__0__PS)
#define An6_0_PC		(An6__0__PC)
#define An6_0_DR		(An6__0__DR)
#define An6_0_SHIFT	(An6__0__SHIFT)


#endif /* End Pins An6_ALIASES_H */


/* [] END OF FILE */
