/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "adc_.h"

void init_adc()
{
    ADC_Start();
    ADC_StartConvert();
    ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);   
}

void stop_adc()
{
    ADC_StopConvert();
    ADC_Stop();  
}

uint16 get_ph()
{
    uint16 int_ph;
    float32 f_ph;
    int_ph = ADC_GetResult16(1); //obtenemos el valor binario del ADC del canal 0
    f_ph = ADC_CountsTo_Volts (1,int_ph); // pasa del valor binario a un valor en voltaje
    return f_ph * 1000;
}

uint16 get_ce()
{
    uint16 int_ce;
    float32 f_ce;
    int_ce = ADC_GetResult16(0);
    f_ce = ADC_CountsTo_Volts (0,int_ce);
    return f_ce * 1000;
}

uint16 get_an3()
{
    uint16 int_an3;
    float32 f_an3;
    int_an3 = ADC_GetResult16(2);
    f_an3 = ADC_CountsTo_Volts (2,int_an3);
    return f_an3 * 10;
}

uint16 get_an4()
{
    uint16 int_an4;
    float32 f_an4;
    int_an4 = ADC_GetResult16(3);
    f_an4 = ADC_CountsTo_Volts (3,int_an4);
    return f_an4 * 10;
}
/* [] END OF FILE */
