/*******************************************************************************
* File Name: An1.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_An1_ALIASES_H) /* Pins An1_ALIASES_H */
#define CY_PINS_An1_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define An1_0		(An1__0__PC)
#define An1_0_PS		(An1__0__PS)
#define An1_0_PC		(An1__0__PC)
#define An1_0_DR		(An1__0__DR)
#define An1_0_SHIFT	(An1__0__SHIFT)


#endif /* End Pins An1_ALIASES_H */


/* [] END OF FILE */
