/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#if !defined(__MYPLC__)
#define __MYPLC__
    
    #include <project.h>
    #include <stdio.h>
    #include <stdlib.h>
    #include "definition.h"
    #include "isr_PLCTimer.h"
    #include "blinkleds.h"
    #include "data_validation.h"
    #include "xbee.h"

    void PLCPacketHandler();

    uint8 validate_plc_write();
    
    uint8 validate_plc_read();

    uint8 send_program_2_plc(uint16 *pch);

    uint8 send_programs(uint16 *pch, int plc_addr, int preirr_addr, uint8 iterator);

    void IntPLCTimer();

    char* int2wordhex(uint16 data);

    uint16 check_plc_akw();

    uint16 get_read_data();

    char* plc_addr_int2ascii(uint16 data);

    uint16 check_plc_data(uint8 *data);

#endif
/* [] END OF FILE */
