/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include <stdio.h>
#include <stdlib.h>
#include "definition.h"
#include "isr_PLCTimer.h"
#include "blinkleds.h"

void PLCPacketHandler();

uint8 validate_plc_write();

uint8 send_program_2_plc(uint16 *pch);

uint8 send_programs(uint16 *pch, int eeprom_addr, uint8 iterator);

void IntPLCTimer();

char* int2wordhex(uint16 data);

uint16 check_plc_akw();

uint16 get_read_data();

char* plc_addr_int2ascii(uint16 data);

uint16 check_plc_data(uint8 *data);

/* [] END OF FILE */
