/*******************************************************************************
* File Name: AN_3.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN_3_ALIASES_H) /* Pins AN_3_ALIASES_H */
#define CY_PINS_AN_3_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define AN_3_0		(AN_3__0__PC)
#define AN_3_0_PS		(AN_3__0__PS)
#define AN_3_0_PC		(AN_3__0__PC)
#define AN_3_0_DR		(AN_3__0__DR)
#define AN_3_0_SHIFT	(AN_3__0__SHIFT)


#endif /* End Pins AN_3_ALIASES_H */


/* [] END OF FILE */
