/*******************************************************************************
* File Name: DipSW4.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DipSW4_ALIASES_H) /* Pins DipSW4_ALIASES_H */
#define CY_PINS_DipSW4_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define DipSW4_0		(DipSW4__0__PC)
#define DipSW4_0_PS		(DipSW4__0__PS)
#define DipSW4_0_PC		(DipSW4__0__PC)
#define DipSW4_0_DR		(DipSW4__0__DR)
#define DipSW4_0_SHIFT	(DipSW4__0__SHIFT)


#endif /* End Pins DipSW4_ALIASES_H */


/* [] END OF FILE */
