/*******************************************************************************
* File Name: XBEE_UART_rx.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_XBEE_UART_rx_ALIASES_H) /* Pins XBEE_UART_rx_ALIASES_H */
#define CY_PINS_XBEE_UART_rx_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define XBEE_UART_rx_0		(XBEE_UART_rx__0__PC)
#define XBEE_UART_rx_0_PS		(XBEE_UART_rx__0__PS)
#define XBEE_UART_rx_0_PC		(XBEE_UART_rx__0__PC)
#define XBEE_UART_rx_0_DR		(XBEE_UART_rx__0__DR)
#define XBEE_UART_rx_0_SHIFT	(XBEE_UART_rx__0__SHIFT)


#endif /* End Pins XBEE_UART_rx_ALIASES_H */


/* [] END OF FILE */
